Skip to main content
GET
/
vouchers
/
{id}
/
charges
Get a list of voucher charges
curl --request GET \
  --url https://vouchers.api.jtl-software.com/v1/vouchers/{id}/charges \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "cff8784e5eb28b9b04860",
      "voucher_id": "cff8784e34b28b9b04860",
      "client_id": "cff8784e5eb28b81ca02a",
      "type": "charge",
      "amount": "10.53",
      "order_number": "ORDER-62642",
      "created_at": "2017-07-21T17:32:28+00:00",
      "updated_at": "2017-07-21T17:32:28+00:00"
    }
  ],
  "links": {
    "first": "http://domain/v1/vouchers?page=1",
    "last": "http://domain/v1/vouchers?page=5",
    "prev": "http://domain/v1/vouchers?page=3",
    "next": "http://domain/v1/vouchers?page=2"
  },
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "from": 1,
    "to": 15,
    "last_page": 167,
    "total": 2500,
    "path": "http://domain/v1/vouchers"
  }
}

Authorizations

Authorization
string
header
required

This API uses OAuth 2 with Client Credentials Flow (see: https://www.oauth.com/oauth2-servers/access-tokens/client-credentials).

You can request only a subset of specific scopes for your client, however the available scopes for each client are defined through the client groups in the UI.

Within your token request, you can also send the optional parameter client_type (string with a max length of 32 chars). This value is only used for internal statistics.

Path Parameters

id
string
required

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:25
Required range: x >= 1
filter[created_from]
string<RFC3339>

Sets a filter to get all entries from this datetime - must be set in RFC3339 format, see https://tools.ietf.org/html/rfc3339

filter[created_to]
string<RFC3339>

Sets a filter to get all entries up to this datetime - must be set in RFC3339 format, see https://tools.ietf.org/html/rfc3339

filter[order_number]
string

Sets a filter to get all entries with a specific order number

filter[amount]
string

Sets a filter to get all entries with a specific amount

Response

200 - application/json

OK

data
object[]
meta
object